VST 3 Interfaces: Steinberg::Vst::ChannelContext Namespace Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Enumerations | Functions | Variables
Steinberg::Vst::ChannelContext Namespace Reference

For Channel Context Info Interface. More...

## Classes
class | IInfoListener
| Channel context interface: Vst::IInfoListener. More...

## Typedefs
typedef uint32 | ColorSpec
| ARGB (Alpha-Red-Green-Blue)
typedef uint8 | ColorComponent
| ARGB (Alpha-Red-Green-Blue)

## Enumerations
enum | ChannelPluginLocation { kPreVolumeFader = 0 , kPostVolumeFader , kUsedAsPanner }
| Values used for kChannelPluginLocationKey. More...

## Functions
ColorComponent | GetBlue (ColorSpec cs)
| Returns the Blue part of the given ColorSpec.
ColorComponent | GetGreen (ColorSpec cs)
| Returns the Green part of the given ColorSpec.
ColorComponent | GetRed (ColorSpec cs)
| Returns the Red part of the given ColorSpec.
ColorComponent | GetAlpha (ColorSpec cs)
| Returns the Alpha part of the given ColorSpec.

## Variables
const CString | kChannelUIDKey = "channel uid"
| Keys used as AttrID (Attribute ID) in the return IAttributeList of IInfoListener::setChannelContextInfos.
const CString | kChannelUIDLengthKey = "channel uid length"
| integer (int64) [optional]: number of characters in kChannelUIDKey
const CString | kChannelRuntimeIDKey = "channel runtime id"
| integer (int64) [optional]: runtime id to identify a channel (may change when reloading project)
const CString | kChannelNameKey = "channel name"
| string (TChar) [optional]: name of the channel like displayed in the mixer
const CString | kChannelNameLengthKey = "channel name length"
| integer (int64) [optional]: number of characters in kChannelNameKey
const CString | kChannelColorKey = "channel color"
| color (ColorSpec) [optional]: used color for the channel in mixer or track
const CString | kChannelIndexKey = "channel index"
| integer (int64) [optional]: index of the channel in a channel index namespace, start with 1 not 0!
const CString | kChannelIndexNamespaceOrderKey = "channel index namespace order"
| integer (int64) [optional]: define the order of the current used index namespace, start with 1 not 0!
const CString | kChannelIndexNamespaceKey = "channel index namespace"
| string (TChar) [optional]: name of the channel index namespace for example "Input", "Output","Channel", ...
const CString | kChannelIndexNamespaceLengthKey = "channel index namespace length"
| integer (int64) [optional]: number of characters in kChannelIndexNamespaceKey
const CString | kChannelImageKey = "channel image"
| PNG image representation as binary [optional].
const CString | kChannelPluginLocationKey = "channel plugin location"
| integer (int64) [optional]: routing position of the plug-in in the channel (see ChannelPluginLocation)

## Detailed Description

For Channel Context Info Interface.

## Enumeration Type Documentation

## ◆ ChannelPluginLocation

enum ChannelPluginLocation

Values used for kChannelPluginLocationKey.

Enumerator
kPreVolumeFader |
kPostVolumeFader |
kUsedAsPanner |

## Function Documentation

## ◆ GetBlue()

ColorComponent GetBlue | ( | ColorSpec | cs | ) |
| inline

Returns the Blue part of the given ColorSpec.

## ◆ GetGreen()

ColorComponent GetGreen | ( | ColorSpec | cs | ) |
| inline

Returns the Green part of the given ColorSpec.

## ◆ GetRed()

ColorComponent GetRed | ( | ColorSpec | cs | ) |
| inline

Returns the Red part of the given ColorSpec.

## ◆ GetAlpha()

ColorComponent GetAlpha | ( | ColorSpec | cs | ) |
| inline

Returns the Alpha part of the given ColorSpec.

## Variable Documentation

## ◆ kChannelUIDKey

const CString kChannelUIDKey = "channel uid"

Keys used as AttrID (Attribute ID) in the return IAttributeList of IInfoListener::setChannelContextInfos.

string (TChar) [optional]: unique id string used to identify a channel

## ◆ kChannelUIDLengthKey

const CString kChannelUIDLengthKey = "channel uid length"

integer (int64) [optional]: number of characters in kChannelUIDKey

## ◆ kChannelRuntimeIDKey

const CString kChannelRuntimeIDKey = "channel runtime id"

integer (int64) [optional]: runtime id to identify a channel (may change when reloading project)

## ◆ kChannelNameKey

const CString kChannelNameKey = "channel name"

string (TChar) [optional]: name of the channel like displayed in the mixer

## ◆ kChannelNameLengthKey

const CString kChannelNameLengthKey = "channel name length"

integer (int64) [optional]: number of characters in kChannelNameKey

## ◆ kChannelColorKey

const CString kChannelColorKey = "channel color"

color (ColorSpec) [optional]: used color for the channel in mixer or track

## ◆ kChannelIndexKey

const CString kChannelIndexKey = "channel index"

integer (int64) [optional]: index of the channel in a channel index namespace, start with 1 not 0!

## ◆ kChannelIndexNamespaceOrderKey

const CString kChannelIndexNamespaceOrderKey = "channel index namespace order"

integer (int64) [optional]: define the order of the current used index namespace, start with 1 not 0!

For example: index namespace is "Input" -> order 1, index namespace is "Channel" -> order 2, index namespace is "Output" -> order 3

## ◆ kChannelIndexNamespaceKey

const CString kChannelIndexNamespaceKey = "channel index namespace"

string (TChar) [optional]: name of the channel index namespace for example "Input", "Output","Channel", ...

## ◆ kChannelIndexNamespaceLengthKey

const CString kChannelIndexNamespaceLengthKey = "channel index namespace length"

integer (int64) [optional]: number of characters in kChannelIndexNamespaceKey

## ◆ kChannelImageKey

const CString kChannelImageKey = "channel image"

PNG image representation as binary [optional].

## ◆ kChannelPluginLocationKey

const CString kChannelPluginLocationKey = "channel plugin location"

integer (int64) [optional]: routing position of the plug-in in the channel (see ChannelPluginLocation)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.